
-- 	Vector functions go here!


-- output vector as a string (debug use)
	function vecString( vec )
		return string.format("%.2f", vec.x) .. ", " .. string.format("%.2f", vec.y) .. ", " .. string.format("%.2f", vec.z)	
	end
	
-- add two vectors
	function vecAdd( v1, v2 )
		return vector3( v1.x+v2.x, v1.y+v2.y, v1.z+v2.z )	
	end

-- subtract vectors
	function vecSub( v1, v2 )
		return vector3( v1.x-v2.x, v1.y-v2.y, v1.z-v2.z )	
	end
	
-- multiply vectors
	function vecMul( v1, v2 )
		return vector3( v1.x*v2.x, v1.y*v2.y, v1.z*v2.z )	
	end
